package games.strategy.triplea.ai.TestAI;

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

import games.strategy.engine.data.PlayerID;

/**
 * TestAnalyseBoardContainer
 * 
 * A container for the different list-elements in TestAnalyseBoardAI 
 * 
 * @author A.S.
 * @since 2015
 */
public class TestAnalyseBoardContainer 
{
	private PlayerID player;
	
	private int totalUnitCount;
	private int factoryCount;
	private int victoryCitiesCount;
	private int territoryCount;
	private int productionUnitsCount;
	private int productionUnitsCountPerRound;
	
	private double playerStrength;
	private double playerStrengthRelative;
	
	public TestAnalyseBoardContainer()
	{
		player = null;
		
		totalUnitCount = 0;
		factoryCount = 0;
		victoryCitiesCount = 0;
		territoryCount = 0;
		productionUnitsCount = 0;
		productionUnitsCountPerRound = 0;
		
		playerStrength = 0;
		playerStrengthRelative = 0;
	}
	
	public void setPlayer(PlayerID player)
	{
		this.player = player;
	}
	
	public PlayerID getPlayer()
	{
		return player;
	}
	
	public void setTotalUnitCount(int totalUnitCount)
	{
		this.totalUnitCount = totalUnitCount;
	}
	
	public int getTotalUnitCount()
	{
		return totalUnitCount;
	}
	
	public void setFactoryCount(int factoryCount)
	{
		this.factoryCount = factoryCount;
	}
	
	public int getFactoryCount()
	{
		return factoryCount;
	}
	
	public void setVictoryCitiesCount(int victoryCitiesCount)
	{
		this.victoryCitiesCount = victoryCitiesCount;
	}
	
	public int getVictoryCitiesCount()
	{
		return victoryCitiesCount;
	}
	
	public void setTerritoryCount(int territoryCount)
	{
		this.territoryCount = territoryCount;
	}
	
	public int getTerritoryCount()
	{
		return territoryCount;
	}
	
	public void setProductionUnitsCount(int productionUnitsCount)
	{
		this.productionUnitsCount = productionUnitsCount;
	}
	
	public int getProductionUnitsCount()
	{
		return productionUnitsCount;
	}
	
	public void setProductionUnitsCountPerRound(int productionUnitsCountPerRound)
	{
		this.productionUnitsCountPerRound = productionUnitsCountPerRound;
	}
	
	public int getProductionUnitsCountPerRound()
	{
		return productionUnitsCountPerRound;
	}
	
	public void setPlayerStrength(double playerStrength)
	{
		this.playerStrength = playerStrength;
	}
	
	public double getPlayerStrength()
	{
		return playerStrength;
	}
	
	public void setPlayerStrengthRelative(double playerStrengthRelative)
	{
		this.playerStrengthRelative = playerStrengthRelative;
	}
	
	public double getPlayerStrengthRelative()
	{
		return playerStrengthRelative;
	}
}