package games.strategy.triplea.ai.TestAI;

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

import games.strategy.engine.data.Territory;
import games.strategy.engine.data.Unit;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map.Entry;

/**
 * TestCarrierContainer
 * 
 * A container for storing all kinds of information for units of the unitType 'carrier'
 * 
 * @author A.S.
 * @since 2015
 */

public class TestCarrierContainer 
{
	private Unit unitObjectOfCarrier;
	
	private ArrayList<Unit> loadedUnits;
	
	private int loadedUnitsCosts;
	
	private Territory territoryWhereCarrierCouldBe;
	
	private List<Territory> currentRoute;
	
	private boolean isCarrierAllied;
	
	public TestCarrierContainer(Unit unitObjectOfCarrier)
	{	
		this.unitObjectOfCarrier = unitObjectOfCarrier;
		
		loadedUnits = new ArrayList<Unit>();
		
		loadedUnitsCosts = 0;
	}
	
	public Unit getUnitObjectOfCarrier()
	{
		return unitObjectOfCarrier;
	}
	
	public void loadUnit(Unit unitToLoad)
	{
		loadedUnits.add(unitToLoad);
	}
	
	public ArrayList<Unit> getLoadedUnits()
	{
		return loadedUnits;
	}
	
	public void changeLoadedUnitsCosts(int loadedUnitsCosts)
	{
		this.loadedUnitsCosts += loadedUnitsCosts;
	}
	
	public int getLoadedUnitsCosts()
	{
		return loadedUnitsCosts;
	}
	
	public void setTerritoryWhereCarrierCouldBe(Territory endTerritoryOfCurrentRoute)
	{
		territoryWhereCarrierCouldBe = endTerritoryOfCurrentRoute;
	}
	
	public void clearTerritoryWhereCarrierCouldBe()
	{
		territoryWhereCarrierCouldBe = null;
	}
	
	public Territory getTerritoryWhereCarrierCouldBe()
	{		
		return territoryWhereCarrierCouldBe;
	}
	
	public void setRoute(List<Territory> territoriesOfCurrentRoute)
	{
		currentRoute = new ArrayList<Territory>();
		
		for(Territory t:territoriesOfCurrentRoute)
		{
			currentRoute.add(t);
		}
	}
	
	public void clearRoute()
	{
		currentRoute = null;
	}
	
	public List<Territory> getRoute()
	{
		return currentRoute;
	}
	
	public void setIsCarrierAllied(boolean ownPlayer)
	{
		isCarrierAllied = ownPlayer;
	}
	
	public boolean getIsCarrierAllied()
	{
		return isCarrierAllied;
	}
	
	public String toString()
	{
		return unitObjectOfCarrier.getID().toString();
	}
}