package games.strategy.triplea.ai.TestAI;

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

import games.strategy.engine.data.Territory;

/**
 * TestPlaceContainer
 * 
 * A container for the different list-elements in TestPlaceAI 
 * 
 * @author A.S.
 * @since 2015
 */
public class TestPlaceContainer 
{
	private Territory territoryWithOwnFactory;
	
	private int ownCapitalInZone;
	private int ownVictoryCitiesInZone;
	private int ownUnitsInZone;
	private int enemyCapitalInZone;	
	private int enemyVictoryCitiesInZone;
	private int enemyUnitsInZone;
	private double unitRatio;
	private double placeAttractivityUnit;
	private int unitsPlaced;
	private Territory adjacentSeaTerritory;

	public TestPlaceContainer()
	{
		territoryWithOwnFactory = null;
		
		ownCapitalInZone = 0;
		ownVictoryCitiesInZone = 0;
		ownUnitsInZone = 0;
		
		enemyCapitalInZone = 0;
		enemyVictoryCitiesInZone = 0;
		enemyUnitsInZone = 0;
		
		unitRatio = 0;
		placeAttractivityUnit = 0;
		
		unitsPlaced = 0;
		adjacentSeaTerritory = null;
	}
	
	public void setTerritoryWithOwnFactory(Territory territoryWithOwnFactory) 
	{
		this.territoryWithOwnFactory = territoryWithOwnFactory;
	}
	
	public Territory getTerritoryWithOwnFactory() 
	{
		return territoryWithOwnFactory;
	}
	
	public void setOwnCapitalInZone(int ownCapitalInZone)
	{
		this.ownCapitalInZone = ownCapitalInZone;
	}
	
	public int getOwnCapitalInZone()
	{
		return ownCapitalInZone;
	}
		
	public void setOwnVictoryCitiesInZone(int ownVictoryCitiesInZone)
	{
		this.ownVictoryCitiesInZone = ownVictoryCitiesInZone;
	}
	
	public int getOwnVictoryCitiesInZone()
	{
		return ownVictoryCitiesInZone;
	}
	
	public void setOwnUnitsInZone(int ownUnitsInZone)
	{
		this.ownUnitsInZone = ownUnitsInZone;
	}
	
	public int getOwnUnitsInZone()
	{
		return ownUnitsInZone;
	}
	
	public void setEnemyCapitalInZone(int enemyCapitalInZone)
	{
		this.enemyCapitalInZone = enemyCapitalInZone;
	}
	
	public int getEnemyCapitalInZone()
	{
		return enemyCapitalInZone;
	}
	
	public void setEnemyVictoryCitiesInZone(int enemyVictoryCitiesInZone)
	{
		this.enemyVictoryCitiesInZone = enemyVictoryCitiesInZone;
	}
	
	public int getEnemyVictoryCitiesInZone()
	{
		return enemyVictoryCitiesInZone;
	}
	
	public void setEnemyUnitsInZone(int enemyUnitsInZone)
	{
		this.enemyUnitsInZone = enemyUnitsInZone;
	}
	
	public int getEnemyUnitsInZone()
	{
		return enemyUnitsInZone;
	}
	
	public void setUnitRatio(double unitRatio)
	{
		this.unitRatio = unitRatio;
	}
	
	public double getUnitRatio()
	{
		return unitRatio;
	}
	
	public void setPlaceAttractivityUnit(double placeAttractivityUnit)
	{
		this.placeAttractivityUnit = placeAttractivityUnit;
	}
	
	public double getPlaceAttractivityUnit()
	{
		return placeAttractivityUnit;
	}
	
	public void setUnitsPlacedInTerritory()
	{
		unitsPlaced++;
	}
	
	public int getUnitsPlacedInTerritory()
	{
		return unitsPlaced;
	}
	
	public void setAdjacentSeaTerritory(Territory adjacentSeaTerritory)
	{
		this.adjacentSeaTerritory = adjacentSeaTerritory;
	}
	
	public Territory getAdjacentSeaTerritory()
	{
		return adjacentSeaTerritory;
	}
}